import locale
from rhpl.translate import _, N_

def size_string (size):
    if size < 1024:
        if size == 1:
            units_str = _(" Byte")
        else:
            units_str = _(" Bytes")
    elif size > 1024*1024*1024:
        size = size / (1024*1024)
        if size == 1:
            units_str = _(" Megabyte")
        else:
            units_str = _(" Megabytes")
    else:
        size = size / 1024
        if size == 1:
            units_str = _(" Kilobyte")
        else:
            units_str = _(" Kilobytes")
    return locale.format ("%s", size, 1) + units_str
