#
# constants.py - various useful constants
#

import os

if os.environ.has_key("RCPUPGRADE") and os.environ["RCPUPGRADE"] == "1":
    ALLOWUPGRADE = 1
else:
    ALLOWUPGRADE = 0

if os.environ.has_key("RCPSTRICT") and os.environ["RCPSTRICT"] == "0":
    LOOSEREQ = 0
else:
    LOOSEREQ = 1

NOT_INSTALLED = 0
INSTALLED = 1
TOINSTALL = 2
TOREMOVE = 3
TOUPGRADE = 4

ON = 1
MANUAL_ON = 2
DEP_ON = 3
OFF = -1
MANUAL_OFF = -2
MANUAL_NONE = 0
ON_STATES = (ON, MANUAL_ON, DEP_ON)
OFF_STATES = (OFF, MANUAL_OFF)

PKGTYPE_MANDATORY = 1
PKGTYPE_DEFAULT = 2
PKGTYPE_OPTIONAL = 4
PKGTYPE_ALL = 0


RCPFILELOCATIONTAG = 1000009
